"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const types = require("../../../utils/types.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const anchorProps = runtime.buildProps({
  container: { type: runtime.definePropType([String, Object]) },
  offset: {
    type: Number,
    default: 0
  },
  bound: {
    type: Number,
    default: 15
  },
  duration: {
    type: Number,
    default: 300
  },
  marker: {
    type: Boolean,
    default: true
  },
  type: {
    type: runtime.definePropType(String),
    default: "default"
  },
  direction: {
    type: runtime.definePropType(String),
    default: "vertical"
  },
  selectScrollTop: Boolean
});
const anchorEmits = {
  change: (href) => shared_esmBundler.isString(href),
  click: (e, href) => e instanceof MouseEvent && (shared_esmBundler.isString(href) || types.isUndefined(href))
};
exports.anchorEmits = anchorEmits;
exports.anchorProps = anchorProps;
